Package com.smartgwt.client.ai

# Class AIMessageWithSource

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.AIMessage
com.smartgwt.client.ai.AIMessageWithSource

All Implemented Interfaces:
  `HasHandlers`

public class AIMessageWithSource extends AIMessage

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AIMessageWithSource()`
  `AIMessageWithSource(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AIMessageWithSource`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `AIMessageSource`
  `getSource()`
  The source or producer of the message.
  `AIMessageWithSource`
  `setSource(AIMessageSource source)`
  The source or producer of the message.

  ### Methods inherited from class com.smartgwt.client.ai.AIMessage

  `getContent, getImageDetail, getType, setContent, setImageDetail, setType`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AIMessageWithSource

    public AIMessageWithSource()

  - ### AIMessageWithSource

    public AIMessageWithSource(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AIMessageWithSource getOrCreateRef(JavaScriptObject jsObj)

  - ### setSource

    public AIMessageWithSource setSource(AIMessageSource source)
    The source or producer of the message. If unspecified, "user" is assumed.
    Parameters:
      `source` - New source value. Default value is "user"
    Returns:
      `AIMessageWithSource` instance, for chaining setter calls

  - ### getSource

    public AIMessageSource getSource()
    The source or producer of the message. If unspecified, "user" is assumed.
    Returns:
      Current source value. Default value is "user"